Get conversations

Base URL
https://{kibana_url}
  • GET /api/security_ai_assistant/current_user/conversations/_find
  • GET /s/{space_id}/api/security_ai_assistant/current_user/conversations/_find
Auth

Get a list of all conversations for the current user. This endpoint allows users to search, filter, sort, and paginate through their conversations.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

fields string[]

A list of fields to include in the response. If omitted, all fields are returned.

Example: ["id","title","createdAt"]
filter string

A search query to filter the conversations. Can match against titles, messages, or other conversation attributes.

Example: Security Issue
sort_field enum

The field by which to sort the results. Valid fields are created_at, title, and updated_at.

Values: created_at title updated_at
sort_order enum

The order in which to sort the results. Can be either asc for ascending or desc for descending.

Values: asc desc
page integer · min: 1 · default: 1

The page number of the results to retrieve. Default is 1.

per_page integer · min: 0 · default: 20

The number of conversations to return per page. Default is 20.

Responses

Successful response, returns a paginated list of conversations matching the specified criteria.

application/json
data object[] required

A list of conversations.

apiConfig object
actionTypeId string required

Action type ID

connectorId string required

Connector ID

defaultSystemPromptId string

Default system prompt ID

model string

Model

provider enum

Provider

Values: OpenAI Azure OpenAI Other
category enum required

The conversation category.

Values: assistant insights
createdAt string required

The time conversation was created.

excludeFromLastConversationStorage boolean

Exclude from last conversation storage.

id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters.

messages object[]

The conversation messages.

content string required

Message content.

isError boolean

Is error message.

metadata object

Message metadata

contentReferences map string to oneOf

A union of all content reference types

reader object
refusal string

Refusal reason returned by the model when content is filtered.

role enum required

Message role.

Values: system user assistant
timestamp string · format: nonempty · min length: 1 required

A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.

traceData object

Trace Data

traceId string

Could be any string, not necessarily a UUID

transactionId string

Could be any string, not necessarily a UUID

namespace string required

Kibana space

replacements map string to string

Replacements object used to anonymize/deanonymize messages

summary object
confidence enum

The conversation confidence.

Values: low medium high
content string

Summary text of the conversation over time.

public boolean

Define if summary is marked as publicly available.

timestamp string · format: nonempty · min length: 1

A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.

timestamp string · format: nonempty · min length: 1

A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.

title string required

The conversation title.

updatedAt string

The last time conversation was updated.

users object[] required
id string

User id.

name string

User name.

page integer required

The current page of the results.

perPage integer required

The number of results returned per page.

total integer required

The total number of conversations matching the filter criteria.

Generic Error. The request could not be processed due to an invalid query parameter or other issue.

application/json
error string
message string
statusCode number
Base URL
https://{kibana_url}